/*popup окна*/
#floor_popup {width: 1440px; max-width: 96%; vertical-align: top;}
#flat_popup h3, #floor_popup h3 {margin: 7px 0 14px;}

#floor_popup .fancybox-close-small {right: 25px!important; top: 15px!important;}
#floor_popup .fancybox-close-small svg {width: 40px; height: 40px;}
#floor_popup .floor_popup_info {padding-top: 30px;}



/*Заголовок, кнопки*/
.floor_popup_info .popup_header {margin-bottom: 20px;}
.floor_popup_info .popup_header .btn_container {min-width: 120px;}
.floor_popup_info .popup_header .btn {padding: 10px; height: 40px; white-space: nowrap; border-radius: 25px; background-color: transparent; color: var(--OPTION_BASE_COLOR)!important; border: 1px solid var(--OPTION_BASE_COLOR)!important; display: inline-block;}
.floor_popup_info .popup_header .btn span {display: none; white-space: nowrap;}
.floor_popup_info .popup_header .btn svg {vertical-align: middle; margin-top: -3px;}
.floor_popup_info .popup_header .btn svg path {stroke: var(--OPTION_BASE_COLOR)!important;}
.floor_popup_info .popup_header .btn:hover {padding: 10px 20px;background: var(--OPTION_BASE_COLOR_L)!important; color: #FFF!important; border: 1px solid var(--OPTION_BASE_COLOR);}
.floor_popup_info .popup_header .btn:hover svg path {stroke: #FFF!important;}
.floor_popup_info .popup_header .btn:hover span {display: inline-block;}
.floor_popup_info .popup_header .btn.prev svg {transform: rotate(180deg);}
.floor_popup_info .popup_header .btn.disabled {border: 1px solid #808080!important;}
.floor_popup_info .popup_header .btn.disabled svg path {stroke: #808080!important;}

/*Подсветка*/
.scheme_path .active .tooltip {
    fill: var(--OPTION_BASE_COLOR)!important;
    stroke: var(--OPTION_BASE_COLOR)!important;
    stroke-width: 3;
    opacity: 0.4!important;
}
.scheme_path.disabled .tooltip {
    fill: rgba(102,102,102,0.65) !important;
    transition: all ease 0.3s;
    opacity: 1!important;
    stroke-width: 0!important;
}


/*Этаж popup - план этажа*/
.floor_popup_info .floor_container {border: 1px solid #F0F1EB; border-radius: 8px; padding: 30px; margin: 0 0 0 8px; position: relative; width: 100%;
  height: 100%;}
.floor_popup_info .flat_preview_container {max-width: 290px; flex: 0 0 290px; border: 1px solid #F0F1EB; border-radius: 8px; padding: 30px;}
.floor_popup_info .flat_floor:hover {z-index: 1; position: relative;}

.floor_popup_info .name span {color: #808080}

.floor_popup_info .rooms_label {
    width: 70px;
    height: 70px;
    line-height: 70px;
    background-color: var(--OPTION_BASE_COLOR);
    font-size: 30px;
    text-align: center;
    border-radius: 35px;
    color: #FFF;
    cursor: pointer;
    border: 1px solid var(--OPTION_BASE_COLOR);
}
.floor_popup_info .rooms_label.is_action {background-color: #ff0049; color: #FFF; border: 1px solid #ff0049;}
.floor_popup_info .rooms_label.status_sale:hover, .floor_popup_info .rooms_label.status_sale.active {color: #FFF; background-color: var(--OPTION_BASE_COLOR_D2); border: 1px solid var(--OPTION_BASE_COLOR_D2);}
.floor_popup_info .rooms_label.status_reserve, .floor_popup_info .rooms_label.status_sold {background-color: #E1E2E3; border: 1px solid #E1E2E3; color: #949499; cursor: default;}

.floor_popup_info .compass {position: absolute; top: 10px; right: 10px; z-index: 2;}
.floor_popup_info .compass img {width: 60px; height: 60px;}


  
/*Меню - вид*/
.floor_popup_info .view_type_menu a.iconfont_a.chess::before {content: "\e9ee"; margin-right: 6px; vertical-align: middle; top: -1px; position: relative;}
.floor_popup_info .view_type_menu a.iconfont_a.scheme::before {content: "\e907"; margin-right: 6px;}
  
/*Этаж popup - шахматка*/
.floor_popup_info .chess_container {max-width: 320px; flex: 0 0 320px;}
.floor_popup_info .chess_container.view_type_active {max-width: none; flex: 0 0 100%;}
.floor_popup_info .chess_container .chess_content {overflow: scroll; overflow-x: auto; border: 1px solid #F0F1EB; border-radius: 8px; padding: 15px; height: 100%;}
.floor_popup_info .chess_container .styled_select .items {margin: 4px;}
.floor_popup_info .chess_container .styled_select {margin-bottom: 40px;}
.floor_popup_info .chess_container .floor .floor_btn {
    text-decoration: none; min-width: 15px; text-align: center; font-size: 14px; margin-right: 5px; display: inline-block; font-weight: 500;
    height: 24px;
    background-color: #f8f9fb;
    border: 1px solid #edeef0;
    line-height: 18px;
    padding: 3px 5px;
    border-radius: 4px;
    width: 40px;
    white-space: nowrap;
    font-size: 12px;
    line-height: 1.1;
}
.floor_popup_info .chess_container .floor.active .floor_btn {background-color: var(--OPTION_BASE_COLOR); color: #FFF; border: 1px solid var(--OPTION_BASE_COLOR);}

.floor_popup_info .chess_container .flat_item {position: relative; overflow: hidden;
    width: 22px; height: 22px; border-radius: 4px; text-align: center; background-color: #FFF;
    margin: 2px; line-height: 20px; font-size: 12px;
    border: 1px solid #F0F1EB;
}
.floor_popup_info .chess_container .flat_item.status_sale
{
    background-color: #50c878!important;
    border: 1px solid #50c878!important;
    color: #FFF;
} 
.floor_popup_info .chess_container .flat_item.status_reserve, 
.floor_popup_info .chess_container .flat_item.status_sold
{
    background-color: #CCC!important;
    border: 1px solid #CCC!important;
} 
.floor_popup_info .chess_container .flat_item.status_reserve:after, .floor_popup_info .chess_container .flat_item.status_sold:after 
{
    content: '';
    position: absolute; left: 0; top: 0; display: block;
    width: 100%;
    height: 100%;
    background-image: url("data:image/svg+xml,%3Csvg width='12' height='15' viewBox='0 0 12 15' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M2.09932 5.49565V4.89882C2.09932 2.91509 3.67158 1.31787 5.62432 1.31787C7.57705 1.31787 9.14932 2.91509 9.14932 4.89882V5.49565M2.09932 5.49565C1.45307 5.49565 0.924316 6.03279 0.924316 6.6893V12.6575C0.924316 13.3141 1.45307 13.8512 2.09932 13.8512H9.14932C9.79557 13.8512 10.3243 13.3141 10.3243 12.6575V6.6893C10.3243 6.03279 9.79557 5.49565 9.14932 5.49565M2.09932 5.49565H9.14932' stroke='%23FFFFFF' stroke-width='1.6' stroke-linecap='round'/%3E%3C/svg%3E%0A");
    background-position: center;
    background-repeat: no-repeat;
  
} 
.floor_popup_info .chess_container .floor.active .flat_item.status_sold, .floor_popup_info .chess_container .floor:hover .flat_item.status_sold {background-color: #949499; border: 1px solid #949499; color: #FFF; opacity: 1;}
.floor_popup_info .chess_container .flat_item.status_sale {cursor: pointer;}
.floor_popup_info .chess_container .flat_item.status_sale:hover, .floor_popup_info .chess_container .flat_item.status_sale.active {background-color: var(--OPTION_BASE_COLOR_D2)!important; border: 1px solid var(--OPTION_BASE_COLOR_D2)!important; color: #FFF;}
.floor_popup_info .chess_container .flat_item.is_action {border: 1px solid #ff0049!important; background-color: #ff0049!important; color: #FFF;}

/*.col-xl-  (>= 1200px)*/
@media screen and (min-width: 1200px)
{
       
}
/*.col-lg-  (>= 992px)*/
@media screen and (max-width: 1200px)
{
    .flat_preview_container {display: none!important;}   
    .floor_popup_info .chess_container .styled_select {margin-bottom: 0px;}  
    .floor_popup_info .svg_floor {margin-top: 20px; height: auto;}
}
/*.col-md-  (>= 768px)*/
@media screen and (max-width: 991px)
{
    
}
/*.col-sm-  (>= 576px)*/
@media screen and (max-width: 767px)
{
     .chess_container {display: none;}
     .flat_select {-ms-flex-wrap: wrap !important; flex-wrap: wrap !important;}  
     
     .floor_popup_info .flat_select {-ms-flex-direction: column !important; flex-direction: column !important; flex-direction: column-reverse !important;}
     .floor_popup_info .chess_container {max-width: 100%; flex: 0 0 100%;} 
     .floor_popup_info .floor_container {max-width: 100%; flex: 0 0 100%;}   
     
     
     .floor_popup_info .floor_container {margin: 0;}  
     .floor_popup_info .popup_header {margin-bottom: 15px;}
     .floor_popup_info .choice_view_type {display: inline-block!important;}
     
     .floor_popup_info .view_type {margin-bottom: 20px;}
     
     .floor_popup_info .popup_header {margin-top: 10px;}
     .floor_popup_info .popup_header .btn_container {min-width: 60px;}
     
     .floor_popup_info .entrance_menu {margin: 0;}
     
     
}
/*.col-*/
@media screen and (max-width: 575px)
{
    .floor_popup_info .view_type_menu_wrapper {text-align: left!important;}
}